summaryrefslogtreecommitdiffstats
path: root/libraries/perl-AppConfig
diff options
context:
space:
mode:
author Thomas Morper <thomas@beingboiled.info>2010-07-25 18:10:44 -0500
committer Erik Hanson <erik@slackbuilds.org>2010-07-25 21:52:41 -0500
commitdf6b7a16e056e3c023fa8ceebbf83502ed421061 (patch)
tree517bf69420222566cc572c0bb3cb2912cc2640ce /libraries/perl-AppConfig
parentad533e5b9dbd710ba9aa578f7194c5be82be96e7 (diff)
downloadslackbuilds-df6b7a16e056e3c023fa8ceebbf83502ed421061.tar.gz
slackbuilds-df6b7a16e056e3c023fa8ceebbf83502ed421061.tar.xz
libraries/perl-AppConfig: Added (module for reading config files and arguments)
Signed-off-by: Erik Hanson <erik@slackbuilds.org>
Diffstat (limited to 'libraries/perl-AppConfig')
-rw-r--r--libraries/perl-AppConfig/README4
-rw-r--r--libraries/perl-AppConfig/perl-AppConfig.SlackBuild66
-rw-r--r--libraries/perl-AppConfig/perl-AppConfig.info10
-rw-r--r--libraries/perl-AppConfig/slack-desc19
4 files changed, 99 insertions, 0 deletions
diff --git a/libraries/perl-AppConfig/README b/libraries/perl-AppConfig/README
new file mode 100644
index 0000000000..8be1ae676a
--- /dev/null
+++ b/libraries/perl-AppConfig/README
@@ -0,0 +1,4 @@
+AppConfig is a Perl5 module for managing application configuration
+information. It maintains the state of any number of variables and
+provides methods for parsing configuration files, command line
+arguments and CGI script parameters.
diff --git a/libraries/perl-AppConfig/perl-AppConfig.SlackBuild b/libraries/perl-AppConfig/perl-AppConfig.SlackBuild
new file mode 100644
index 0000000000..d519b78654
--- /dev/null
+++ b/libraries/perl-AppConfig/perl-AppConfig.SlackBuild
@@ -0,0 +1,66 @@
+#!/bin/sh
+
+# Slackware build script for perl-AppConfig
+# Written by Thomas Morper <thomas@beingboiled.info>
+
+SRCNAM=AppConfig
+PRGNAM=perl-$SRCNAM
+VERSION=${VERSION:-1.66}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $SRCNAM-$VERSION
+tar xvf $CWD/$SRCNAM-$VERSION.tar.gz
+cd $SRCNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+perl Makefile.PL \
+ PREFIX=/usr \
+ INSTALLDIRS=vendor \
+ INSTALLVENDORMAN1DIR=/usr/man/man1 \
+ INSTALLVENDORMAN3DIR=/usr/man/man3
+
+make
+make test
+make install DESTDIR=$PKG
+
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+for i in $( find $PKG/usr/man -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+
+find $PKG -name "perllocal.pod" -o -name ".packlist" -o -name "*.bs" -empty | xargs rm -f || true
+find $PKG -depth -type d -empty -delete || true
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ Changes LICENSE MANIFEST README TODO \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/libraries/perl-AppConfig/perl-AppConfig.info b/libraries/perl-AppConfig/perl-AppConfig.info
new file mode 100644
index 0000000000..4e61c8687d
--- /dev/null
+++ b/libraries/perl-AppConfig/perl-AppConfig.info
@@ -0,0 +1,10 @@
+PRGNAM="perl-AppConfig"
+VERSION="1.66"
+HOMEPAGE="http://search.cpan.org/~abw/AppConfig/"
+DOWNLOAD="http://search.cpan.org/CPAN/authors/id/A/AB/ABW/AppConfig-1.66.tar.gz"
+MD5SUM="21aa4d1bf70a49a94c2dc9293389b3a0"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+MAINTAINER="Thomas Morper"
+EMAIL="thomas@beingboiled.info"
+APPROVED="Erik Hanson"
diff --git a/libraries/perl-AppConfig/slack-desc b/libraries/perl-AppConfig/slack-desc
new file mode 100644
index 0000000000..9dd4042926
--- /dev/null
+++ b/libraries/perl-AppConfig/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+perl-AppConfig: perl-AppConfig (module for reading config files and arguments)
+perl-AppConfig:
+perl-AppConfig: AppConfig is a Perl5 module for managing application configuration
+perl-AppConfig: information. It maintains the state of any number of variables and
+perl-AppConfig: provides methods for parsing configuration files, command line
+perl-AppConfig: arguments and CGI script parameters.
+perl-AppConfig:
+perl-AppConfig:
+perl-AppConfig:
+perl-AppConfig:
+perl-AppConfig: